# macauff

![Actions Status](https://github.com/Onoddil/macauff/actions/workflows/python-package.yaml/badge.svg)
![Coverage Status](https://codecov.io/gh/Onoddil/macauff/branch/main/graph/badge.svg)

macauff, the python package for Matching Across Catalogues using the Astrometric Uncertainty Function and Flux, is a package for cross-matching photometric catalogues. Using the positions, uncertainties, and flux measurements of sources, as well as modelling of the level to which objects are affected by hidden, blended contaminants, macauff provides posterior probabilities of "many-to-many" matches and non-matches between the two catalogues being counterparts to one another.

## Installation

For installation instructions, check the [documentation](https://onoddil.github.io/macauff/).

## Citations

If you have made use of macauff in your research, please cite

- [Wilson & Naylor (2017, MNRAS, 468, 2517)](https://ui.adsabs.harvard.edu/abs/2017MNRAS.468.2517W/abstract)
- [Wilson & Naylor (2018a, MNRAS, 473, 5570)](https://ui.adsabs.harvard.edu/abs/2018MNRAS.473.5570W/abstract)
- [Wilson & Naylor (2018b, MNRAS, 481, 2148)](https://ui.adsabs.harvard.edu/abs/2018MNRAS.481.2148W/abstract)
- [Wilson (2022, RNAAS, 6, 60)](https://ui.adsabs.harvard.edu/abs/2022RNAAS...6...60W/abstract)

## License

macauff is licensed under a 3-clause BSD style license - see the [LICENSE](https://github.com/Onoddil/macauff/blob/main/LICENSE) file.
